Name:           plank-config
Version:        1.3.1
Release:        %mkrel 1
Summary:      Plank Configuration Application
Group:		Graphical desktop/Other
License:        GPLv3+
URL:            https://github.com/ernest21/Plank-Config/
Source0:        %{name}-%{version}.tar.xz
Patch:	plank-config.vala.diff
#-------------------------------------
BuildRequires: desktop-file-utils
BuildRequires: %{_lib}atk1.0-devel
BuildRequires: %{_lib}cairo-devel
BuildRequires: %{_lib}gdk_pixbuf2.0_0-devel 
BuildRequires: %{_lib}glib2.0-devel 
BuildRequires: %{_lib}gtk+3.0-devel
BuildRequires: %{_lib}notify-devel
BuildRequires: %{_lib}pango1.0-devel
BuildRequires: vala
BuildRequires: %{_lib}vala-devel
BuildRequires: vala-tools
#-------------------------------------
Requires:	plank

%description
A tool to configure Plank Dock.

%prep
%setup -q
%apply_patches

%build
NOCONFIGURE=1 ./autogen.sh
%configure2_5x

%make

%install
rm -rf %buildroot
make install DESTDIR=%{buildroot}


perl -pi -e "s|1.1|1.0|" %buildroot/%_datadir/applications/plank-config.desktop

#desktop file
desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="Plank" \
  --add-category="X-MandrivaLinux-System-Configuration-Other" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop


%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/plank-config
%{_datadir}/applications/plank-config.desktop
%{_datadir}/icons/hicolor/scalable/apps/plank-config.svg

%clean
rm -rf %buildroot

%changelog
* Tue Jul 09 2015 bb <bb> 1.3.1-1pclos2015
- create package
